Subject: [eap] Proposed resolution to Issue 94

From: [email-masked] (Bernard Aboba)
Date: Thu, 6 Mar 2003 16:49:06 -0800 (PST)

In EAP-01, Section 2, change:

" [3] The authenticator sends an additional Request packet, and the
peer replies with a Response. The sequence of Requests and
Responses continues as long as needed."

to:

" [3] The authenticator sends an additional Request packet, and the
peer replies with a Response. The sequence of Requests and
Responses continues as long as needed. EAP is a 'lock step'
protocol, so that a new Request cannot be sent prior to
receiving a valid Response."

In RFC 2869bis, add the following text to Section 2.1:

"EAP is a 'lock step' protocol, so that a new Request cannot be sent prior
to receiving a valid Response."

---

From: [email-masked] (Jari Arkko)
Date: Fri, 07 Mar 2003 08:10:43 +0200

Bernard,

I'm fine with the changes you proposed. This makes
the specification clear on the nature of the protocol.
I'm not quite sure how clear this was in RFC 2284,
but this needs to be clarified. You could perhaps
call it tightening of the spec, but I think we *should*
tighten the spec where we can and where there are
no known implementations that would make use of
the looseness of the original specification.

Jari